
Core - Bug # 47746

Status: Closed Priority: Should have
Author: Andreas Becker (Andi) Category: Install Tool
Created: 2013-04-30 Assigned To: Oliver Hader
Updated: 2013-09-12 Due date:
TYPO3 Version: 6.1
PHP Version: 5.3
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: Converting 4.7 sites to 6.1 sites much to complicated and breaking - white pages in Install tool
Description

When you try to convert an existing site which is 4.7 and which has an updated set of extensions it is leading to white pages and
follows an unlogical order of steps, even when you try to call the Install Tool. The ONLY way to get it working sufficiently is to disable
the localconf.php i.e. rename it. Than TYPO3 thinks there is no localconf and will try to install a new site and new
localConfiguration.php file.

You skip the 123 process. 
Now you can create a new Encryption Key which won't work
Bug #47738

Now you need to enter your db details.

The database can now be changed also in All Configuration - scroll down complete to the bottom - This point should be the first point
and not the last as without DB Typo3 won't work - so it is the most important part!
Task #47740

With the next reload you will get a complete white page and inaccessible system.

You have no way to get to the screen to choose to enter your DB - best do it manually with an editor in localConfiguration.php

You need to clear typo3temp folder completely - remove and make it new setting the right permissions is fastest way.

Now you can access again the install tool.

Unfortunately it will show you again a white screen.

typo3/install/index.php?TYPO3_INSTALL[type]=config

This is even you have only the standard default extensions and none of your extensions installed!
Check Bug #47730

or you get i.e.
Fatal error: Call to a member function fetch_object() on a non-object in
/typo3_src-6.1.0/typo3/sysext/core/Classes/Database/DatabaseConnection.php on line 1289

even your front and backend of the site is working
Bug #47744

a solution is to change the word "config" to "about" and wow - the installtool will show up.
typo3/install/index.php?TYPO3_INSTALL%5Btype%5D=about

Now you can perform the Upgrade Wizard which is in Menu at 4th place but should actually be on FIRST place after an Upgrade IMHO
Task #47729

If you will do a database compare usually your compare will time out!!!

Solution is to perform the upgrade wizard first or to perform the update after an database compare in many smaller parts.

we recommend doing /index.php?TYPO3_INSTALL[type]=update first:

It will ask you to change the version from 3.8 to 6.1 - it is telling 3.8 as it had no previous localconf file anymore as this did not work at
all for the upgrade.

Than it is switching forth and back between step 2 and 3 which is complete unlogical as if people in TYPO3 can't count!
Why not name it 1 2 3 4 5 6 etc. This would also be much easier to communicate to people when something went wrong!
Bug #47732

By default TYPO3 is trying to force you to install the following extensions which should NOT be checked by default!

Frontend Editing
User>Open Documents
Recycler
Scheduler
Simulate Static URLs (which will bring you in conflict with all those people who actually are running cooluri and realURL!) 
Bug #47733

In the next point you get forced to install workspaces and versioning - no way around beside skipping the wizard. You have to install
both by default as there is no option for installing i.e. only versioning.
Bug #47734
This point should be removed from the installtool like the previous one for installing the system extensions.

When you go back to the install tool than again you get offered to install those useless extensions if you haven't used them in an
existing site. They can be installed later!

We continue with point 3 in the list the FAL stuff and following

When you perform th elast point in th elist which is: Migrate all file relations from tt_content.image and pages.media
don't get confused if it says: " 

Migrate all file relations from tt_content.image and pages.media

Update successful!

It will ask you again to perform this update
Bug #47736

We click manually on "Upgrade Wizard and than ignore all offered steps as those are steps which should not appear in an install tool
or have already been performed.z

We choose the last step Final Step Compare Database
Here you will see that in the upgrade wizard was no step which actually created the last 3 missing tables

select/deselect all

CREATE TABLE sys_category ( uid int(11) NOT NULL auto_increment, pid int(11) NOT NULL default '0', tstamp int(11) NOT NULL
default '0', crdate int(11) NOT NULL default '0', cruser_id int(11) NOT NULL default '0', deleted tinyint(4) NOT NULL default '0', hidden
tinyint(4) NOT NULL default '0', starttime int(11) unsigned NOT NULL default '0', endtime int(11) unsigned NOT NULL default '0',
t3ver_oid int(11) NOT NULL default '0', t3ver_id int(11) NOT NULL default '0', t3ver_wsid int(11) NOT NULL default '0', t3ver_label
varchar(30) NOT NULL default '', t3ver_state tinyint(4) NOT NULL default '0', t3ver_stage int(11) NOT NULL default '0', t3ver_count
int(11) NOT NULL default '0', t3ver_tstamp int(11) NOT NULL default '0', t3ver_move_id int(11) NOT NULL default '0', t3_origuid
int(11) NOT NULL default '0', sys_language_uid int(11) NOT NULL default '0', l10n_parent int(11) NOT NULL default '0',
l10n_diffsource mediumblob NOT NULL, title tinytext NOT NULL, description text NOT NULL, parent int(11) NOT NULL default '0',
items int(11) NOT NULL default '0', PRIMARY KEY (uid), KEY parent (pid), KEY t3ver_oid (t3ver_oid,t3ver_wsid) );

CREATE TABLE sys_category_record_mm ( uid_local int(11) NOT NULL default '0', uid_foreign int(11) NOT NULL default '0',
tablenames varchar(255) NOT NULL default '', sorting int(11) NOT NULL default '0', sorting_foreign int(11) NOT NULL default '0', KEY
uid_local_foreign (uid_local,uid_foreign), KEY uid_foreign_tablenames (uid_foreign,tablenames) );

CREATE TABLE static_tsconfig_help ( uid int(11) NOT NULL auto_increment, guide int(11) NOT NULL default '0', md5hash
varchar(32) NOT NULL default '', description text, obj_string varchar(255) NOT NULL default '', appdata blob, title varchar(255) NOT
NULL default '', PRIMARY KEY (uid), KEY guide (guide,md5hash) );

----
Bug #47737

Performing a "write to database" might lead to a timeout

Solution: do it step by step and IMPORTANT create FIRST the still missing tables which have not been created by the Upgrade
Wizard.

If you want to reactivate all your extensions you should delete NONE of them at this point.

----
Continue with configuring TYPO3

Don't click on Basic Configuration as it still leads you to a blank page at this point.
----

Check the image processing
Do it as it will motivate you as it will work instantly especially if you have installed gm

Do in all Configuration all necessary steps like in former versions

Logging into Backend:

If you previously used rsa than you have to create a new user as the extension for this authentification methode won't be available for
your first login!

After creating a new user you can start reinstalling your extensions

i.e. templavoila and framework for templaVoila 2.0.0a1 which is working in 6.1. You can later configure it to use the rendering mode of
version 1 via TYPOscript
Unfortunately realurl, wecconfig, weccontentelements,  is not working!

framework for templaVoila Version 1.* seems not to be working

If an Extensions leads to a blank page or similar deinstall it manually from localConfiguration file and additionally delete manually the
typo3temp/Cache Folder as the link in Install Tool to delete the .temp files seems still to try to delete the now nonexisting .temp files in
typo3conf.
Bug #47741

After Installing extensions you might get the following message
"More information regarding this error might be available online." 
But there is usually no information but a blank page
Bug #47742

----
After you have reinstalled the previous extensions

Hopefully enjoy 6.1

Related issues:
related to Core - Task # 47729: Upgrade Wizard in Install Tool at the wrong P... Closed 2013-04-30
related to Core - Bug # 47730: After update from 4.7 - White Page in Install ... Resolved 2013-04-30
related to Core - Task # 47732: Upgrade Wizard: Headlines start with wrong nu... Resolved 2013-04-30
related to Core - Bug # 47733: Don't set extensions checked by default in Ins... Resolved 2013-04-30
related to Core - Bug # 47736: Migrate all file relations from tt_content.ima... Closed 2013-04-30
related to Core - Bug # 47738: Encryption Key could not get created in new site Resolved 2013-04-30
related to Core - Task # 47740: Move $TYPO3_CONF_VARS['DB'] to the TOP of All... Resolved 2013-04-30
related to Core - Bug # 47741: Cached files don't get deleted by install tool Closed 2013-04-30
related to wiki.typo3.org - Bug # 47742: More information regarding this erro... Resolved 2013-04-30
related to Core - Bug # 47744: Fatal error: Call to a member function fetch_o... Resolved 2013-04-30
related to Core - Bug # 48138: Cannot connect to the current database Resolved 2013-05-13
related to Core - Bug # 47737: 3 Tables don't get created by upgrade Wizard Closed 2013-04-30

History
#1 - 2013-05-01 16:23 - Chris topher
- Status changed from New to Closed
- Assigned To set to Chris topher
- Target version deleted (6.1.1)
- Complexity set to nightmare

I am sorry, but whom do you expect to read all this? If I want to have a book, I buy a book.

Please have a look at how to report bugs. This nice text by Simon Tatham might help you. If you want to, you may now have the last words; I will close
this issue now.

#2 - 2013-05-02 05:33 - Andreas Becker (Andi)

Hi Christopher

This is exactly the IGNORANCE of some people in the Core Team which brings more and more people away from TYPO3 incl. those who are already
gone i.e. WEC!

If you can READ you can READ THIS!

It shows you exactly the way how those errors - a lot of errors - occurred and exactly this is what you were asking for in another thread. Ignoring such
things won't bring any usability into TYPO3!

The only Thing what you have actually done right is setting the COMPLEXITY to NIGHTMARE as this is what it is the Install Tool in its current state is
a night mare as it is a conglomerate of unstructured lines and tasks which often are numbered in a very unlogically!

Lese doch einfach einmal die Kommentare hier zu 6.1 http://t3n.de/news/typo3-cms-61-schicker-461627/

jm2c

Andi

#3 - 2013-05-02 05:49 - Andreas Becker (Andi)

The first aim of a bug report is to let the programmer see the failure with their own eyes. If you can't be with them to make it fail in front of them, give
them detailed instructions so that they can make it fail for themselves.

- You can come here and I can show you and you show me how I can do it ;-) - or you READ the detailed instructions!

In case the first aim doesn't succeed, and the programmer can't see it failing themselves, the second aim of a bug report is to describe what went
wrong. Describe everything in detail. State what you saw, and also state what you expected to see. Write down the error messages, especially if they
have numbers in.

- This is exactly what we did here and we filled additional bug reports and named them in this bug report as it does not make sense to write down the
whole sequence of how we achieved those errors in each single bug report again and again!

By all means try to diagnose the fault yourself if you think you can, but if you do, you should still report the symptoms as well.

- as you can READ in the text we analysed the problems ourself and gave even suggestions how to solve them so that other users who have similar
problems can find solutions too. And there are others who already found those solutions helpful!

Be ready to provide extra information if the programmer needs it. If they didn't need it, they wouldn't be asking for it. They aren't being deliberately
awkward. Have version numbers at your fingertips, because they will probably be needed.

- As you can see in the Bugs listed and linked in this Report about general usability of the Install Tool you will get immediate answers if you ask and
need additional information.

Write clearly. Say what you mean, and make sure it can't be misinterpreted.

- I think the way we are following in setting up a standard TYPO3 site with an existing 4.7 database and only TemplaVoila Framework v 2.0.0a1 and
realurl 1.12.4 installed is clear, understandable and can't be misinterpreted if you READ it! Ignoring the text won't give you any additional information
Christopher as you don't READ what the user is writing - so how can you try to understand the way a user of TYPO3 is trying and failing to setup
TYPO3 properly because of the way the Install Tool is structured?

Above all, be precise. Programmers like precision.

- Well I understand that programmers are different and some might not like this precision and detailed ways or is it because they don't like to READ or
place a BOOK IN THEIR SHELFs!
Sorry to be so direct but ignorance won't solve those problems of the Install Tool!

#4 - 2013-05-03 07:50 - Georg Ringer

it is not ignorance but you can't fix those things all in one single commit/change, therefore it is just very hard or impossible to do it with one issue. that
is all.

it is great that you collect bugs and report those but please use one issue for one bug/task. it is just like walking: step by step... if you won't to this,
nobody will read it as there is just tooo much to do which touches too many areas at the same time ...

you can of course use an umbrella issue and all others as subissues

#5 - 2013-05-03 08:52 - Andreas Becker (Andi)

Well Georg

It is nothing else what I did - it is an umbrella issue which is even properly linked to all subissues. And if redmine has been installed properly it should
actually also link back - unfortunately one field is missing - related issues where you could list all those sub issues to be linked properly back to the
umbrella issue!

It does not make sense to list all the steps over and over again in 10 or more subissues in each single subissue. Nevertheless you need to read it to
understand the steps and than you will find also all subissues. Closing the issue is the wrong approach as it means to ignore and not do anything to
get things solved. Instead fill in a "UMBRELLA" marker and everyone knows it is an umbrella until all issues have been solved and than close this
issue. Many of those problems exist since many versions and some even had been solved already but somehow came back i.e. the workspace
versioning or the missing button at the last step!

Andi

#6 - 2013-05-13 14:42 - Oliver Hader
- Status changed from Closed to New
- Assigned To changed from Chris topher to Oliver Hader
- Complexity changed from nightmare to medium

Even if the initial bug report mixed several topics, it has valid remarks. Thus, I'm reopening the issue.

#7 - 2013-06-17 14:11 - Frank Gerards

@Chris Toper: You should really be nice to bug reporters or leave the core-team as this a valuable resource for 100s of TYPO3 developers out there.
@Andi: Plz keep up the good effort and dont leave TYPO3 community due to some arrogant ppl working in open source projects rolleyes

#8 - 2013-06-17 15:45 - Chris topher

Hi Frank,

it always depends on who is asking and how. You can be assured that to others I respond differently.
#9 - 2013-09-12 17:02 - Christian Kuhn
- Status changed from New to Closed
- Is Regression set to No

Ok, I read through the technical part of this issue again.

I think a lot of issues are already solved in 6.2 (eg. the install tool does not "show whitepage" anymore but now reacts in a clever way).

It is great that the mentioned problems were already split to multiple single sub issues (many of those have also been fixed already).

This issue here is mostly only a collection / story of the smaller issues. I'll now close this one here again and will concentrate on the sub issues.
